//Device related headers
#include <p33EP128GP504.h>
#include <libpic30.h>
//Hardware driver header
#include "../HWD/HWD.h"


//Global variables used by module App_ISR_T1 for write:
extern unsigned char App_ISR_T1_OSStage;

//External calibrations definitions
extern const unsigned int CAL_OSStagesLength[];

//ISR triggered on T1 overflow
void __attribute__((__interrupt__, auto_psv)) _T1Interrupt(void)
{
    IFS0bits.T1IF = 0; //Clear the T1 interrupt flag
    TMR1 = 0; //Clear timer for new OS stage period
    App_ISR_T1_OSStage++; //Increment the OS stage count - next stage starts
    //New OS cycle starts when stage count == 5
    if (App_ISR_T1_OSStage >= 6)
    {
        //Reset the stage back to 1
        App_ISR_T1_OSStage = 1;
    }
    //Set the next OS stage duration
    PR1 = CAL_OSStagesLength[App_ISR_T1_OSStage - 1];

}