//System clock frequency definition
#define FCY (70000000)

//Device related headers
#include <p33EP128GP504.h>
#include <libpic30.h>

 


//For 16-bit signed integer format
int App_Interpolation_Linear_si16 (int x, int size, const int array[2][size/2])
{
    unsigned char i; //internal counter
    int numerator1; //internal intermediate result
    int numerator2; //---//---
    int denominator; //---//---
    long numerator; //---//---
    int y; //return value

	size = __builtin_divsd(size, (int)2);

    if (x <= array[0][0])
    {
        y = array[1][0];
    }
    else
    {
        if (x >= array[0][size - 1])
        {
            y = array[1][size - 1];
        }
        else
        {
            for (i = 0; ((array[0][i] <= x) && (i < size)); i++) {}
            numerator1 = x - array[0][i-1];
            numerator2 = array[1][i] - array[1][i-1];
            denominator = array[0][i] - array[0][i-1];
            numerator = __builtin_mulss(numerator1, numerator2);
            y = ((__builtin_divsd(numerator, denominator)) + array[1][i-1]);
        }
    }
    return((short int)y);
}