//System clock frequency definition
#define FCY (70000000)

//Device related headers
#include <p33EP128GP504.h>
#include <libpic30.h>


//Global variables used for read:
//none

//Global variables used for write:
extern unsigned char App_OS_TaskActive_1s;
extern unsigned char App_OS_TaskActive_4ms;
extern unsigned char App_OS_TaskActive_100ms;
extern unsigned long App_OS_SystemTime_Sec;


//External Calibrations definitions:
//none

void App_OS (void)
{
    //Define the internal cycle counters
    static unsigned int loc_OSCycleCounter4ms;
    static unsigned int loc_OSCycleCounter100ms;
    static unsigned int loc_OSCycleCounter1s;
    //Increment the counters
    loc_OSCycleCounter4ms++;
    loc_OSCycleCounter100ms++;
    loc_OSCycleCounter1s++;
    //Clear the task active flags
    App_OS_TaskActive_1s = 0;
    App_OS_TaskActive_4ms = 0;
    App_OS_TaskActive_100ms = 0;

    if (loc_OSCycleCounter4ms == 10)
    {
        App_OS_TaskActive_4ms = 1;
        loc_OSCycleCounter4ms = 0;
    }
    //100ms OS-Task is active once per 250 OS-Cycles
    if (loc_OSCycleCounter100ms == 250)
    {
        App_OS_TaskActive_100ms = 1;
        loc_OSCycleCounter100ms = 0;
    }
    //1s OS-Task is active once per 2500 OS-Cycles
    if (loc_OSCycleCounter1s == 2500)
    {
        App_OS_TaskActive_1s = 1;
        loc_OSCycleCounter1s = 0;
        App_OS_SystemTime_Sec++;
    }
}