//----------------------------------------------------------------------------//
//                        Hardware constants
//         Hardware-related calibrations are declared in this file
//----------------------------------------------------------------------------//

//This calibrations are relevant to each controller hardware PCB. 

//Virtual ground voltage [0.1 mv/bit]
#define  C_V_Virt_GND 24800  
//5V power supply line voltage [1 mv/bit]
#define  C_V_Vcc5      4950  
//8V power supply line voltage [0.1 mv/bit]
#define  C_V_Vcc8     79400  
//Low Ri measure pulse resistor [1 Ohm/bit]
#define  C_R_L   16100   
//Nernst cell reference pumping resistor [1 Ohm/bit]
#define  C_R_rp  252500  
//Parallel combination of Rrp and RH [1 Ohm/bit]
#define  C_R_rpH  28006
//Pump current offset at input
#define  C_I_PumpOffsetIn 2998
//Offset of the Nernst amp [0.1 mv/bit]
#define  C_V_NernstAmpOffset 60
//Gain of the pump current amplifier
#define  C_A_PumpAmp 14550
//Gain of the Nernst voltage amplifier
#define  C_A_NernstAmp 3663
//Gain of the supply voltage amplifier
#define  C_A_SupplyAmp 8823